java.security.interfaces

## Interface ECKey

All Known Subinterfaces:
  ECPrivateKey, ECPublicKey

    public interface ECKey

The interface to an elliptic curve (EC) key.

Since:
  1.5

### Method Summary

Methods
`ECParameterSpec` `getParams()` Returns the domain parameters associated with this key.

### Method Detail

#### getParams

    ECParameterSpec getParams()

Returns the domain parameters associated with this key. The domain parameters are either explicitly specified or implicitly created during key generation.

Returns:
  the associated domain parameters.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.